### Method

# Snapd Plug get_interface

since: 1.0

#### Declaration [src]

    const gchar*
    snapd_plug_get_interface (
      SnapdPlug* plug
    )

#### Description [src]

Get the name of the interface this plug provides.

Available since: 1.0

Gets property | `Snapd.Plug:interface`

#### Return value

Type: `const gchar*`

An interface name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.